org.apache.uima.collection.base_cpm

## Interface CasDataInitializer

- All Superinterfaces:
    ConfigurableResource, Resource
  All Known Implementing Classes:
    CasDataInitializer_ImplBase

  Deprecated.
  As of v2.0, CAS Initializers are deprecated. A component that performs an operation like HTML detagging should instead be implemented as a "multi-Sofa" annotator. See org.apache.uima.examples.XmlDetagger for an example.

      @Deprecated
      public interface CasDataInitializer
      extends ConfigurableResource

  A component that takes an Object (for text analysis applications, this will often be a String) and creates a `CasData`.

  An example of a `CasDataInitializer` would be a component that takes an HTML document and populates a CasData with the plain (detagged) text as well as document structure annotations that were inferred from the locations of certain HTML tags (paragraphs and headings, for example).

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessingResourceMetaData` | `getCasInitializerMetaData()` Deprecated. Gets the metadata that describes this `CasDataInitializer`.
    `CasData` | `initializeCas(Object aObj)` Deprecated. Reads content and metadata from an Object and creates a `CasData`.

    - ### Methods inherited from interface org.apache.uima.resource.ConfigurableResource

      `getConfigParameterValue, getConfigParameterValue, reconfigure, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from interface org.apache.uima.resource.Resource

      `destroy, getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, initialize, setLogger`

- - ### Method Detail

    - #### initializeCas

          CasData initializeCas(Object aObj)
                         throws CollectionException,
                                IOException

      Deprecated.
      Reads content and metadata from an Object and creates a `CasData`.
      Parameters:
        `aObj` - the Object to process
      Returns:
        CasData corresponding to the Object
      Throws:
        `CollectionException` - if an error occurs during initialization of the CAS
        `IOException` - if an I/O failure occurs

    - #### getCasInitializerMetaData

          ProcessingResourceMetaData getCasInitializerMetaData()

      Deprecated.
      Gets the metadata that describes this `CasDataInitializer`.
      Returns:
        an object containing all metadata for this CasDataInitializer

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.